require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module Shortcut
      class ShortcutSetAttributes < UU::OS::REST::DTO

        # @see Shortcut#set_attributes
        attr_accessor :name

        # @see Shortcut#set_attributes
        attr_accessor :code

        # @see Shortcut#set_attributes
        attr_accessor :artifact_uri
        def name
          attributes[:name]
        end

        def name=(val)
          attributes[:name] = val
        end

        def code
          attributes[:code]
        end

        def code=(val)
          attributes[:code] = val
        end

        def artifact_uri
          attributes[:artifactUri]
        end

        def artifact_uri=(val)
          if val
            attributes[:artifactUri] = UU::OS::UESURI.new(val)
          else
            attributes[:artifactUri] = nil
          end
        end

      end
    end

  end

end
