require 'uu/os/rest/dto'

# Module Unicorn Universe.
module UU
  # Module Application Deployment Kit.
  module OS
    # Module Visual Use Case.
    module VisualUseCase
      # @see VisualUseCase#get_options
      class VisualUseCaseGetOptions < UU::OS::REST::DTO

        # Data for use case options. Only JSON ("application/json") format is accepted.
        attr_accessor :requested_mime_type
        def requested_mime_type
          attributes[:requestedMimeType]
        end

        def requested_mime_type=(val)
          attributes[:requestedMimeType] = val
        end

      end
    end

  end
end
