require 'uu/os/rest/dto'
require 'uu/os/uesuri'



module UU
  module OS
    
      module MetaGroup
        class MetaGroupAddRoleInterface < UU::OS::REST::DTO

          # @see MetaGroup#add_role_interface
          attr_accessor :role_interface_uri

          def role_interface_uri
            attributes[:roleInterfaceUri]
          end

          def role_interface_uri=(val)
            if val
              attributes[:roleInterfaceUri] = UU::OS::UESURI.new(val)
            else
              attributes[:roleInterfaceUri] = nil
            end
          end

        end
      end

    end

end
