module UU
  module OS
    module Sheet
      class MimeType
        
        # BB Code
        BBCODE = 'application/ues-content-bb'
        
        # UArchive
        UARCHIVE = 'application/ues-content-udf'
        
        # UXML
        UXML = 'application/ues-content-xml'
        
        # Zip archive with the sheet content in the form of HTML document, its pictures and a list of its references to other objects.
        CONTENT_HTML = 'application/uu-content-html'
        
        # Zip archive with the sheet content in the form of HTML document, its pictures, a list of its references to other objects
        # and all icons, styles and scripts needed for proper rendering.
        CONTENT_HTML_WITH_RESOURCES = 'application/uu-content-html-with-resources'
        
      end
    end
  end
end